Package csb :: Package bio :: Package fragments :: Class BenchmarkAdapter :: Class Connection

[frames] | no frames]

# Class Connection

source code

    object --+
             |
            BenchmarkAdapter.Connection

Instance Methods

__enter__(self) | source code

__exit__(self, *args) | source code

__init__(self, factory=None, dsn=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| DSN = `None` hash(x)
| FACTORY = `None` hash(x)

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, factory=None, dsn=None)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)